Name: sylpheed
Version: 0.8.8
#define cvsdate
Release: alt3

Summary: a GTK+ based, lightweight, and fast e-mail client
License: GPL
Group: Networking/Mail
Url: http://sylpheed.good-day.net
Packager: Sergey Vlasov <vsu@altlinux.ru>

%def_enable ldap
%def_enable jpilot

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: %url/%name/%name-%version.tar.bz2
%endif

Source1: %{name}_icons.tar.bz2
Source2: %name-ru.po.bz2
Source4: %name.menu
Source5: %name-README.actions

Patch4: %name-0.6.4-colorder.patch
Patch7: %name-0.6.6-ldap_utf8.patch
Patch8: %name-0.8.3-thread.patch
Patch9: %name-0.8.2-mboxlock.patch.bz2
Patch10: %name-0.8.1-nullpass.patch
Patch11: %name-0.8.1-nntperr.patch
Patch12: %name-0.8.3cvs8-canon.patch
Patch15: %name-0.8.5-alt-reeditsig.patch
Patch16: %name-0.8.6cvs23-alt-gpg_utf8.patch
Patch17: %name-0.8.5-alt-imapflagsfix.patch
Patch18: %name-0.8.5-alt-ldapcriteria.patch
Patch19: %name-0.8.5cvs22-alt-noincludedir.patch
Patch23: %name-0.8.6-alt-jpilotcharset.patch
Patch24: %name-0.8.8-0.8.9-enchdrfix.patch
Patch25: %name-0.8.8-alt-qpfix.patch
Patch26: %name-0.8.8-alt-qpwrapfix.patch
Patch27: %name-0.8.8-alt_ml-regexp2fix.patch
Patch28: %name-0.8.8-alt_cvs-enchdr_crash_fix.patch

Prefix: %prefix

Requires: mailcap

# older versions cannot be used.
Requires: libgpgme >= 0.3.10

# enable/disable logic.
BuildPreReq: rpm >= 4.0.4-alt0.8

# older versions cannot be used.
BuildPreReq: libgpgme-devel >= 0.3.10

# imlib.m4 needed for aclocal
BuildPreReq: imlib-devel

%{?_enable_ldap:BuildPreReq: openldap-devel}
%{?_enable_jpilot:BuildPreReq: libpilot-link-devel}

# Automatically added by buildreq on Sun Nov 17 2002,
# then manually edited to remove libldap-devel and libpilot-link-devel
# (conditional dependencies)
BuildRequires: XFree86-devel XFree86-libs faces-devel flex gdk-pixbuf-devel glib-devel gtk+-devel libgpgme-devel libjconv-devel libssl-devel

%description
Sylpheed is an e-mail client (and news reader) based on GTK+, running on
X Window System, and aiming for
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients
for Windows, such as Outlook Express, Becky!, and Datula. The interface
is also designed to emulate the mailers on Emacsen, and almost all
commands are accessible with the keyboard.

The messages are managed by MH format, and you will be able to use it
together with another mailer based on MH format (like Mew). You can
also utilize fetchmail or/and procmail, and external programs on
receiving (like inc or imget).
%if_enabled ldap
This version of Sylpheed is built with LDAP support, so you can get
address book information from a LDAP server.
%endif #enabled ldap
%if_enabled jpilot
This version of Sylpheed includes pilot-link support, so you can use the
address book from your Pilot in Sylpheed.
%endif #enabled jpilot

%prep
%setup -q -a1 %{?cvsdate:-n %name}
%patch4 -p0
%patch7 -p0
%patch8 -p1
%patch9 -p1
%patch10 -p0
%patch11 -p0
%patch12 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1

aclocal -I ac
autoheader
automake --gnu --add-missing --copy
autoconf

bzcat %SOURCE2 >po/ru.po

cp -a %SOURCE5 README.actions
bzip2 ChangeLog

%build
%add_optflags %optflags_debug
%configure \
	--enable-gpgme \
	--enable-ssl \
	--enable-fcntl \
	--enable-flock \
	%{subst_enable ldap} \
	%{subst_enable jpilot} \
	#

# Abort if libjconv was not found
grep '^#define HAVE_LIBJCONV 1' config.h >/dev/null 2>&1 || {
	echo 'ERROR: libjconv not found' 1>&2
	exit 1
}

%make_build

%install
%makeinstall
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name
install -pD -m644 %{name}_16.xpm $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -pD -m644 %{name}_32.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %{name}_48.xpm $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_datadir/%name
%_menudir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%doc COPYING AUTHORS ChangeLog.bz2 NEWS README TODO README.actions

%changelog
* Fri Feb 07 2003 Sergey Vlasov <vsu@altlinux.ru> 0.8.8-alt3
- Added patch to fix second filter regexp handling (from mailing list).
- Added patch to fix crash in header encoding conversion (backport from CVS).

* Thu Jan 23 2003 Sergey Vlasov <vsu@altlinux.ru> 0.8.8-alt2
- Added patch to fix header linewrapping problems (backport from 0.8.9).
- Added patch to fix Quoted-Printable encoding (fixes bug #2017).
- Added patch to fix Quoted-Printable header wrapping (lost spaces in Subject).

* Wed Dec 25 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.8-alt1
- 0.8.8 release.
- Updated ru.po.

* Mon Dec 23 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.7-alt1
- 0.8.7 release.
- Removed obsolete patches:
  + alt-fixpartialcite;
  + alt-systemname;
  + alt-fontenc;
  + alt-utf8fix;
  + alt-popupfix.
- Updated patches:
  + alt-gpg_utf8.
- Updated ru.po.

* Sun Nov 17 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.6-alt1
- 0.8.6 release.
- Abort build if libjconv is not found by configure.
- Updated fixpartialcite patch.
- Removed obsolete patches (reeditfix).
- Patch to remove $(includedir) from INCLUDES
  (caused compiler warnings about -I/usr/include).
- Patch to set system name from build_alias instead of target_alias
  (fixes empty system name with new rpm and autoconf versions).
- Patch to fix problems with font encodings due to recent upstream
  changes.
- Patch to fix message display in UTF-8 locales.
- Patch to add charset conversion for JPilot address book data.
- Patch to avoid window shift with some window managers when starting
  a second copy of Sylpheed (which should just show and raise the
  existing window).
- Updated menu file (added genericname="Mail Client").
- Updated ru.po.

* Thu Oct 17 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.5-alt3
- Rebuild with new pilot-link.
- Fixed translation bug (#0001397).

* Fri Oct 04 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.5-alt2
- Patch to convert GnuPG userid from UTF-8 (fixes bug #693).
- Patch to fix flag handling with IMAP (fixes bug #1080).
- Patch to change default LDAP search criteria (fixes bug #1096).
- bzip2 ChangeLog.

* Thu Oct 03 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.5-alt1
- 0.8.5 release.
- Patch to avoid wrong citation header when quoting selected part of text.
- Patch to fix line endings in reedit.
- Patch to remove signature and main text parts from attach list when doing
  reedit, forward or redirect.

* Tue Oct 01 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.4-alt1
- 0.8.4 release.
- Cleaned up conditional build (now uses enable/disable rpm logic);
  this change in 0.8.2-alt2 was accidentally lost in 0.8.3-alt1.
- Patch to canonicalize the message text correctly (fixes problems with
  verifying PGP/MIME signatures from Sylpheed in Evolution 1.0.3).
- Updated ru.po.
- Fixed %%doc list (-INSTALL, +AUTHORS, +NEWS, +TODO).
- Added some documentation about user-definable actions.

* Wed Sep 18 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.3-alt1
- 0.8.3 release.
- Removed obsolete patches (cp1251).
- Updated thread patch.
- Updated ru.po.

* Thu Aug 29 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.2-alt1
- 0.8.2 release.
- Removed obsolete patches (micalg).
- Updated mbox locking patch.
- Require new libgpgme.

* Wed Jul 31 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.1-alt1
- 0.8.1 release.
- Updated ru.po.
- Patch to handle null passwords correctly.
- Patch to fix NNTP error handling.

* Tue Jul 16 2002 Sergey Vlasov <vsu@altlinux.ru> 0.8.0-alt1
- 0.8.0 release.
- Updated menu icons.
- Updated ru.po.

* Tue Jun 25 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.8-alt2
- Fixed BuildRequires (libjconv-devel).

* Fri Jun 21 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.8-alt1
- 0.7.8 release.
- Updated ru.po.

* Tue May 21 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.6-alt2
- Use fcntl for spool mailbox locking (ALT policy).
- Use flock in addition to fcntl (compatibility with broken software).

* Tue May 14 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.6-alt1
- 0.7.6 release.
- Removed obsolete patches.
- Updated ru.po.

* Mon Mar 11 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.4-alt1
- 0.7.4 release.
- Removed obsolete patches.
- Updated ru.po.

* Fri Feb 22 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.2-alt1
- 0.7.2 release.
- Removed obsolete patches.
- Updated ru.po.

* Wed Feb 13 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.1-alt3
- Patch to fix problems with quoting selected part of message.

* Tue Feb 12 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.1-alt2
- Patch from CVS to fix problems with reading GnuPG encrypted messages.
- Patch to use the correct namespace separator with APPEND on IMAP server.
- Requires: mailcap

* Mon Feb 11 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.1-alt1
- 0.7.1 release.
- Removed obsolete patches.
- Updated SMTP AUTH patch.
- Removed ancient pre-ALT changelog entries with no useful information

* Thu Jan 24 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.0-alt2
- Patch to update message count in outbox after sending.

* Wed Jan 23 2002 Sergey Vlasov <vsu@altlinux.ru> 0.7.0-alt1
- 0.7.0 release
- Updated ru.po
- Fixed segfault on closing LDIF import window

* Fri Jan 04 2002 Sergey Vlasov <vsu@altlinux.ru> 0.6.6-alt2
- Fixed image scrolling (closes bug #239)
- Use UTF-8 encoding for LDAP (closes bug #253)
- Fixed thread problems (gdk_thread_enter/leave and init order)

* Sat Dec 15 2001 Sergey Vlasov <vsu@altlinux.ru> 0.6.6-alt1
- 0.6.6 release

* Thu Nov 22 2001 Sergey Vlasov <vsu@altlinux.ru> 0.6.5-alt2
- Fixed windows-1251 charset name (was CP1251).

* Thu Nov 08 2001 Sergey Vlasov <vsu@altlinux.ru> 0.6.5-alt1
- 0.6.5 release
- updated SMTP AUTH patch

* Sun Oct 21 2001 Sergey Vlasov <vsu@altlinux.ru> 0.6.4-alt1
- 0.6.4 release
- updated SMTP AUTH patch
- updated ru.po
- patch to restore old ordering of columns

* Thu Oct 11 2001 Sergey Vlasov <vsu@altlinux.ru> 0.6.3-alt3
- Patch to add separate username/password settings for SMTP AUTH.
- Disabled dynamic loading of LDAP libraries - doesn't work yet.

* Tue Oct 09 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.6.3-alt2
- Build with libpilot-link by default.

* Mon Oct 08 2001 Sergey Vlasov <vsu@altlinux.ru> 0.6.3-alt1
- 0.6.3 release
- updated ru.po
- build with LDAP by default

* Wed Sep 19 2001 Sergey Vlasov <vsu@altlinux.ru> 0.6.2-alt1
- 0.6.2 release
- require libgpgme >= 0.2.3 (important bugfixes)
- patch to fix problems with background POP3 mail retrieval
- patch from Werner Koch to write micalg for signatures

* Mon Sep 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.6.1-alt1
- 0.6.1 release.

* Fri Aug 31 2001 Sergey Vlasov <vsu@altlinux.ru> 0.6.0-alt1
- 0.6.0 release
- build with SSL support
- removed obsolete patches
- updated ru.po

* Wed Aug 15 2001 Sergey Vlasov <vsu@altlinux.ru> 0.5.3-alt1
- 0.5.3 release
- removed obsolete patches
- patch to fix crash when trying to delete from an empty folder
- patch to fix summary view updating after receiving messages
- patch to avoid unneeded updating of the summary view
- updated ru.po

* Tue Aug 14 2001 Sergey Vlasov <vsu@altlinux.ru> 0.5.2-alt3
- patch to correctly enable toolbar buttons after receiving messages

* Sat Aug 11 2001 Sergey Vlasov <vsu@altlinux.ru> 0.5.2-alt2
- patch to fix folder updatind after "Get all" from spool only
- patch to keep position in the displayed message after receiving new mail

* Sat Aug  4 2001 Sergey Vlasov <vsu@altlinux.ru> 0.5.2-alt1
- 0.5.2 release
- updated ru.po

* Sat Jul 28 2001 Sergey Vlasov <vsu@altlinux.ru> 0.5.1-alt1
- 0.5.1 release
- removed obsolete patches

* Sat Jul  7 2001 Sergey Vlasov <vsu@altlinux.ru> 0.5.0-alt1
- 0.5.0 release
- removed obsolete bugfix patches
- updated ru.po
- requires libgpgme >= 0.2.1

* Sat Jun 16 2001 Sergey Vlasov <vsu@altlinux.ru> 0.4.99-alt1
- 0.4.99 release
- removed obsolete patches
- patch to fix iso-8859-* encodings
- patch to fix base64 decoder
- updated ru.po

* Wed May 23 2001 Sergey Vlasov <vsu@altlinux.ru> 0.4.66-alt2
- iso-8859-{5,7} code conversion fix

* Tue May  8 2001 Sergey Vlasov <vsu@altlinux.ru> 0.4.66-alt1
- 0.4.66 release
- patch to disable GnuPG warning message
- patch to disable GnuPG signature popup
- updated ru.po

* Tue Apr 24 2001 Sergey Vlasov <vsu@altlinux.ru> 0.4.65-alt0.7
- 0.4.65cvs7
- updated ru.po
- new add-sender-to-addressbook patch

* Fri Mar 16 2001 AEN <aen@logic.ru> 0.4.63-ipl4
- mimedecode patch from Sergey Vlasov <vsu@mivlgu.murom.ru>

* Thu Mar 15 2001 AEN <aen@logic.ru> 0.4.63-ipl3
- ru.po patch from Sergey Vlasov <vsu@mivlgu.murom.ru>

* Sun Mar 12 2001 AEN <aen@logic.ru> 0.4.62-ipl2
- custom headers patch

* Sun Mar 11 2001 AEN <aen@logic.ru> 0.4.62-ipl1
- 0.4.62 release
- patch from Sergey Vlasov <vsu@mivlgu.murom.ru>

* Fri Mar 02 2001 Dmitry V. Levin <ldv@fandra.org> 0.4.62-ipl0.6
- Applied new SMTP Authentication patch.

* Wed Feb 28 2001 Dmitry V. Levin <ldv@fandra.org> 0.4.62-ipl0.5
- Do not apply SMTP Authentication patch (broken yet).
- Patched some security issues.
- Fixed specfile for correct build from cvs tree.

* Tue Feb 27 2001 AEN <aen@logic.ru> 0.4.62-ipl0.4
- sources form cvs
- completion-list, add-sender & smtp-auth patches

* Tue Feb 20 2001 AEN <aen@logic.ru> 0.4.61-ipl4
- %file fixed -- menu & icons added
* Tue Feb 20 2001 AEN <aen@logic.ru> 0.4.61-ipl2
- russian translation added

* Mon Feb 19 2001 AEN <aen@logic.ru> 0.4.1-ipl1
- build old version for testing purposes

* Mon Feb 19 2001 AEN <aen@logic.ru> 0.4.61-ipl1
- RE adaptation
- first build for Sisyphus
